<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <!--
        The application front end will need to do several things:

        1. subscribe to a websocket channel
        2. render several graphs depending on how many different data rows are presented
        3. render single metrics such as status flags in a visual prominent mannor
        4. cache recived data up to a configured sliding time window
        5. rerequest past data in case caches are emptied
        6. present the user with sensible filters to allow for more specific and easier extraction of information
        7. allow the user to switch to a static mode in order to view archived data
        8. offer the option to manually trigger alerts (e.g. a manual prediction of load development spots a problem before thresholds are meet)

        If the data will be used beyond monitoring purposes addition features such as .csv export may be needed
    -->
</body>
</html>